Subject: [bitcoindev] Re: Adding New BIP Editors

From: 'Léo Haf' via Bitcoin Development Mailing List <[email-masked]>
Date: Tue, 27 Feb 2024 12:11:52 -0800 (PST)

Luke should choose the new editors himself, especially since he has already 
made a call for applications.
Le mardi 27 février 2024 à 20:27:57 UTC+1, Ava Chow a écrit :

> Hi All,
>
> Following on the recent [discussion][1] about BIP process friction, and 
> admissions from Luke that he has not had the time to actively work on 
> the BIPs repo ([2], [3]), I think it is prudent for us to look at adding 
> more BIPs editors. These people would have the same permissions and 
> responsibilities that Luke has, i.e. can assign BIP numbers, merge PRs 
> adding new BIPs, merge PRs to fix existing BIPs,and all other 
> responsibilities as described in [BIP 2][4]. I think this would 
> significantly help get through the backlog of BIPs PRs, and responding 
> to them in a timely manner to significantly reduce the friction of 
> getting BIPs changes merged. Of course, this would require that all BIP 
> editors agree on the numbering scheme so that BIPs continue to be 
> numbered consistently.
>
> Considering the responsibilities of these tasks, I think any new BIP 
> editors should be people who have a history of following and being 
> involved in Bitcoin development, as well as being known to evaluate 
> proposals objectively, and of course, are willing to do the job. With 
> that in mind, I think both Kanzure and RubenSomsen are very good 
> candidates to be BIP editors, and having both of them working on the 
> BIPs repo would greatly benefit all of us.
>
> Thanks,
> Ava
>
> [1]: 
>
> https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2024-January/022289.html
> [2]: 
>
> https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2024-January/022291.html
> [3]: https://twitter.com/LukeDashjr/status/1761127972302459000
> [4]: 
>
> https://github.com/bitcoin/bips/blob/master/bip-0002.mediawiki#user-content-BIP_Editor_Responsibilities__Workflow
>
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion on the web visit https://groups.google.com/d/msgid/bitcoindev/e4048607-64b7-4772-b74e-4566a4b50bc0n%40googlegroups.com.